diff --git a/pidgin/resources/Debug/plugininfo.ui b/pidgin/resources/Debug/plugininfo.ui
--- a/pidgin/resources/Debug/plugininfo.ui
+++ b/pidgin/resources/Debug/plugininfo.ui
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- Generated with glade 3.22.1 
+<!-- Generated with glade 3.38.2 
 
 Pidgin - Internet Messenger
 Copyright (C) Pidgin Developers <devel@pidgin.im>
@@ -21,7 +21,7 @@
 -->
 <interface>
   <requires lib="Talkatu" version="0.0"/>
-  <requires lib="gtk+" version="3.20"/>
+  <requires lib="gtk+" version="3.22"/>
   <!-- interface-local-resource-path ../ -->
   <!-- interface-license-type gplv2 -->
   <!-- interface-name Pidgin -->
@@ -29,30 +29,27 @@
   <!-- interface-copyright Pidgin Developers <devel@pidgin.im> -->
   <object class="TalkatuHtmlBuffer" id="buffer"/>
   <template class="PidginDebugPluginInfo" parent="GtkDialog">
-    <property name="can_focus">False</property>
+    <property name="can-focus">False</property>
     <property name="title" translatable="yes">Pidgin Plugin Information</property>
     <property name="role">plugins_info</property>
-    <property name="default_width">475</property>
-    <property name="default_height">450</property>
-    <property name="type_hint">dialog</property>
-    <child>
-      <placeholder/>
-    </child>
+    <property name="default-width">475</property>
+    <property name="default-height">450</property>
+    <property name="type-hint">dialog</property>
     <child internal-child="vbox">
       <object class="GtkBox">
-        <property name="can_focus">False</property>
+        <property name="can-focus">False</property>
         <property name="orientation">vertical</property>
         <property name="spacing">2</property>
         <child internal-child="action_area">
           <object class="GtkButtonBox">
-            <property name="can_focus">False</property>
-            <property name="layout_style">end</property>
+            <property name="can-focus">False</property>
+            <property name="layout-style">end</property>
             <child>
               <object class="GtkButton">
                 <property name="label" translatable="yes">Close</property>
                 <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">True</property>
+                <property name="can-focus">True</property>
+                <property name="receives-default">True</property>
                 <signal name="clicked" handler="gtk_widget_destroy" object="PidginDebugPluginInfo" swapped="yes"/>
               </object>
               <packing>
@@ -71,7 +68,7 @@
         <child>
           <object class="GtkImage" id="logo">
             <property name="visible">True</property>
-            <property name="can_focus">False</property>
+            <property name="can-focus">False</property>
             <property name="resource">/im/pidgin/Pidgin/logo.png</property>
           </object>
           <packing>
@@ -83,15 +80,14 @@
         <child>
           <object class="GtkScrolledWindow">
             <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="shadow_type">in</property>
+            <property name="can-focus">True</property>
+            <property name="shadow-type">in</property>
             <child>
               <object class="TalkatuView" id="view">
-                <property name="can_focus">True</property>
+                <property name="can-focus">True</property>
                 <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                 <property name="editable">False</property>
                 <property name="buffer">buffer</property>
-                <property name="send_binding"/>
               </object>
             </child>
           </object>
diff --git a/pidgin/resources/Log/log-viewer.ui b/pidgin/resources/Log/log-viewer.ui
--- a/pidgin/resources/Log/log-viewer.ui
+++ b/pidgin/resources/Log/log-viewer.ui
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- Generated with glade 3.22.2 
+<!-- Generated with glade 3.38.2 
 
 Pidgin - Internet Messenger
 Copyright (C) Pidgin Developers <devel@pidgin.im>
@@ -21,7 +21,7 @@
 -->
 <interface>
   <requires lib="Talkatu" version="0.0"/>
-  <requires lib="gtk+" version="3.20"/>
+  <requires lib="gtk+" version="3.22"/>
   <!-- interface-license-type gplv2 -->
   <!-- interface-name Pidgin -->
   <!-- interface-description Internet Messenger -->
@@ -36,30 +36,27 @@
     </columns>
   </object>
   <template class="PidginLogViewer" parent="GtkDialog">
-    <property name="can_focus">False</property>
+    <property name="can-focus">False</property>
     <property name="role">log_viewer</property>
-    <property name="type_hint">dialog</property>
-    <child type="titlebar">
-      <placeholder/>
-    </child>
+    <property name="type-hint">dialog</property>
     <child internal-child="vbox">
       <object class="GtkBox">
-        <property name="can_focus">False</property>
-        <property name="margin_top">6</property>
-        <property name="margin_bottom">6</property>
+        <property name="can-focus">False</property>
+        <property name="margin-top">6</property>
+        <property name="margin-bottom">6</property>
         <property name="orientation">vertical</property>
         <property name="spacing">2</property>
         <child internal-child="action_area">
           <object class="GtkButtonBox">
-            <property name="can_focus">False</property>
-            <property name="layout_style">end</property>
+            <property name="can-focus">False</property>
+            <property name="layout-style">end</property>
             <child>
               <object class="GtkButton" id="browse_button">
                 <property name="label" translatable="yes">_Browse logs folder</property>
                 <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">True</property>
-                <property name="use_underline">True</property>
+                <property name="can-focus">True</property>
+                <property name="receives-default">True</property>
+                <property name="use-underline">True</property>
               </object>
               <packing>
                 <property name="expand">True</property>
@@ -71,9 +68,9 @@
               <object class="GtkButton" id="close_button">
                 <property name="label" translatable="yes">_Close</property>
                 <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">True</property>
-                <property name="use_underline">True</property>
+                <property name="can-focus">True</property>
+                <property name="receives-default">True</property>
+                <property name="use-underline">True</property>
               </object>
               <packing>
                 <property name="expand">True</property>
@@ -91,7 +88,7 @@
         <child>
           <object class="GtkBox" id="title_box">
             <property name="visible">True</property>
-            <property name="can_focus">False</property>
+            <property name="can-focus">False</property>
             <property name="spacing">6</property>
             <child>
               <placeholder/>
@@ -99,9 +96,9 @@
             <child>
               <object class="GtkLabel" id="label">
                 <property name="visible">True</property>
-                <property name="can_focus">False</property>
+                <property name="can-focus">False</property>
                 <property name="label" translatable="yes">Conversations with buddy</property>
-                <property name="track_visited_links">False</property>
+                <property name="track-visited-links">False</property>
                 <property name="xalign">0</property>
                 <property name="yalign">0</property>
                 <attributes>
@@ -128,21 +125,21 @@
         <child>
           <object class="GtkPaned">
             <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="border_width">0</property>
+            <property name="can-focus">True</property>
+            <property name="border-width">0</property>
             <child>
               <object class="GtkScrolledWindow">
                 <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="hscrollbar_policy">never</property>
-                <property name="vscrollbar_policy">always</property>
-                <property name="shadow_type">in</property>
+                <property name="can-focus">True</property>
+                <property name="hscrollbar-policy">never</property>
+                <property name="vscrollbar-policy">always</property>
+                <property name="shadow-type">in</property>
                 <child>
                   <object class="GtkTreeView" id="treeview">
                     <property name="visible">True</property>
-                    <property name="can_focus">True</property>
+                    <property name="can-focus">True</property>
                     <property name="model">treestore</property>
-                    <property name="headers_visible">False</property>
+                    <property name="headers-visible">False</property>
                     <signal name="button-press-event" handler="log_button_press_cb" object="PidginLogViewer" swapped="no"/>
                     <signal name="popup-menu" handler="log_popup_menu_cb" object="PidginLogViewer" swapped="no"/>
                     <signal name="row-activated" handler="log_row_activated_cb" object="PidginLogViewer" swapped="no"/>
@@ -172,19 +169,19 @@
             <child>
               <object class="GtkBox">
                 <property name="visible">True</property>
-                <property name="can_focus">False</property>
+                <property name="can-focus">False</property>
                 <property name="orientation">vertical</property>
                 <child>
                   <object class="GtkSearchBar">
                     <property name="visible">True</property>
-                    <property name="can_focus">False</property>
+                    <property name="can-focus">False</property>
                     <child>
                       <object class="GtkSearchEntry" id="entry">
                         <property name="visible">True</property>
-                        <property name="can_focus">True</property>
-                        <property name="primary_icon_name">edit-find-symbolic</property>
-                        <property name="primary_icon_activatable">False</property>
-                        <property name="primary_icon_sensitive">False</property>
+                        <property name="can-focus">True</property>
+                        <property name="primary-icon-name">edit-find-symbolic</property>
+                        <property name="primary-icon-activatable">False</property>
+                        <property name="primary-icon-sensitive">False</property>
                         <signal name="search-changed" handler="entry_search_changed_cb" object="PidginLogViewer" swapped="no"/>
                         <signal name="stop-search" handler="entry_stop_search_cb" object="PidginLogViewer" swapped="no"/>
                       </object>
@@ -198,21 +195,21 @@
                 </child>
                 <child>
                   <object class="GtkScrolledWindow">
-                    <property name="width_request">320</property>
-                    <property name="height_request">200</property>
+                    <property name="width-request">320</property>
+                    <property name="height-request">200</property>
                     <property name="visible">True</property>
-                    <property name="can_focus">True</property>
-                    <property name="shadow_type">in</property>
+                    <property name="can-focus">True</property>
+                    <property name="shadow-type">in</property>
                     <child>
                       <object class="TalkatuView" id="log_view">
                         <property name="name">pidgin_log_view</property>
                         <property name="visible">True</property>
-                        <property name="can_focus">True</property>
+                        <property name="can-focus">True</property>
                         <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <property name="hexpand_set">True</property>
-                        <property name="vexpand_set">True</property>
+                        <property name="hexpand-set">True</property>
+                        <property name="vexpand-set">True</property>
                         <property name="editable">False</property>
-                        <property name="wrap_mode">word</property>
+                        <property name="wrap-mode">word</property>
                         <property name="buffer">log_buffer</property>
                       </object>
                     </child>
@@ -239,9 +236,9 @@
         <child>
           <object class="GtkLabel" id="size_label">
             <property name="visible">True</property>
-            <property name="can_focus">False</property>
+            <property name="can-focus">False</property>
             <property name="label" translatable="yes">&lt;b&gt;Total log size:&lt;/b&gt; 123 KiB</property>
-            <property name="use_markup">True</property>
+            <property name="use-markup">True</property>
             <property name="xalign">0</property>
             <property name="yalign">0</property>
           </object>
diff --git a/pidgin/resources/Plugins/dialog.ui b/pidgin/resources/Plugins/dialog.ui
--- a/pidgin/resources/Plugins/dialog.ui
+++ b/pidgin/resources/Plugins/dialog.ui
@@ -20,7 +20,7 @@
 
 -->
 <interface>
-  <requires lib="gtk+" version="3.20"/>
+  <requires lib="gtk+" version="3.22"/>
   <requires lib="gplugin-gtk" version="0.28"/>
   <!-- interface-license-type gplv2 -->
   <!-- interface-name Pidgin -->
diff --git a/pidgin/resources/Plugins/menu.ui b/pidgin/resources/Plugins/menu.ui
--- a/pidgin/resources/Plugins/menu.ui
+++ b/pidgin/resources/Plugins/menu.ui
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- Generated with glade 3.22.2 
+<!-- Generated with glade 3.38.2 
 
 Pidgin - Internet Messenger
 Copyright (C) Pidgin Developers <devel@pidgin.im>
@@ -15,7 +15,8 @@
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
-along with this program; if not, see <https://www.gnu.org/licenses/>.
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
 -->
 <interface>
@@ -26,20 +27,20 @@
   <!-- interface-copyright Pidgin Developers <devel@pidgin.im> -->
   <template class="PidginPluginsMenu" parent="GtkMenu">
     <property name="visible">True</property>
-    <property name="can_focus">False</property>
+    <property name="can-focus">False</property>
     <child>
       <object class="GtkMenuItem">
         <property name="visible">True</property>
-        <property name="can_focus">False</property>
-        <property name="action_name">app.manage-plugins</property>
+        <property name="can-focus">False</property>
+        <property name="action-name">app.manage-plugins</property>
         <property name="label" translatable="yes">Manage Plu_gins</property>
-        <property name="use_underline">True</property>
+        <property name="use-underline">True</property>
         <accelerator key="u" signal="activate" modifiers="GDK_CONTROL_MASK"/>
       </object>
     </child>
     <child>
       <object class="GtkSeparatorMenuItem" id="separator">
-        <property name="can_focus">False</property>
+        <property name="can-focus">False</property>
       </object>
     </child>
   </template>
diff --git a/pidgin/resources/Prefs/credentials.ui b/pidgin/resources/Prefs/credentials.ui
--- a/pidgin/resources/Prefs/credentials.ui
+++ b/pidgin/resources/Prefs/credentials.ui
@@ -15,11 +15,12 @@
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
-along with this program; if not, see <https://www.gnu.org/licenses/>.
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
 -->
 <interface>
-  <requires lib="gtk+" version="3.20"/>
+  <requires lib="gtk+" version="3.22"/>
   <requires lib="pidgin" version="3.0"/>
   <!-- interface-license-type gplv2 -->
   <!-- interface-name Pidgin -->
